[arch-commits] Commit in audacity/repos/community-x86_64 (PKGBUILD PKGBUILD)

David Runge dvzrv at archlinux.org
Sun Mar 10 17:55:55 UTC 2019


    Date: Sunday, March 10, 2019 @ 17:55:54
  Author: dvzrv
Revision: 439551

archrelease: copy trunk to community-x86_64

Added:
  audacity/repos/community-x86_64/PKGBUILD
    (from rev 439550, audacity/trunk/PKGBUILD)
Deleted:
  audacity/repos/community-x86_64/PKGBUILD

----------+
 PKGBUILD |  106 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 53 insertions(+), 53 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2019-03-10 17:55:44 UTC (rev 439550)
+++ PKGBUILD	2019-03-10 17:55:54 UTC (rev 439551)
@@ -1,53 +0,0 @@
-# Maintainer: David Runge <dave at sleepmap.de>
-# Contributor: Eric Bélanger <eric at archlinux.org>
-
-pkgname=audacity
-pkgver=2.2.2
-pkgrel=1
-epoch=1
-pkgdesc="A program that lets you manipulate digital audio waveforms"
-arch=('x86_64')
-url="https://audacityteam.org"
-license=('GPL2' 'CCPL')
-groups=('pro-audio')
-# upstream enquired via mail about:
-# vendors/requires older version of portaudio
-# vendors/doesn't detect system version of portmidi
-depends=('libid3tag' 'libmad' 'libsoxr' 'lilv' 'portsmf' 'soundtouch' 'suil'
-'twolame' 'vamp-plugin-sdk' 'wxgtk3')
-makedepends=('cmake' 'ffmpeg')
-optdepends=('ffmpeg: additional import/export capabilities')
-source=("https://github.com/${pkgname}/${pkgname}/archive/Audacity-${pkgver}.tar.gz")
-sha512sums=('311a5f3413e7faf40dc5639b2b9f8b0d03d1a410c50d894ca7abf3fe5733a29b710ccf7e3215d97dd9142e93c0ab5e13955dfd13146b03f927f74465459a6457')
-
-prepare() {
-  mv -v "${pkgname}-Audacity-${pkgver}" "${pkgname}-${pkgver}"
-  cd "${pkgname}-${pkgver}"
-  autoreconf -vfi
-}
-
-build() {
-  cd "${pkgname}-${pkgver}"
-  WX_CONFIG=wx-config-gtk3 ./configure --prefix="/usr" \
-    --with-libsndfile="system" \
-    --with-ffmpeg="system" \
-    --with-expat="system" \
-    --with-lame="system" \
-    --with-libsoxr="system" \
-    --with-portaudio \
-    --with-portmidi \
-    --with-libflac \
-    --with-libid3tag \
-    --with-libsamplerate \
-    --with-sbsms \
-    --with-soundtouch \
-    --with-libtwolame \
-    --with-libvorbis \
-    --with-lv2
-  make
-}
-
-package() {
-  cd "${pkgname}-${pkgver}"
-  make DESTDIR="${pkgdir}" install
-}

Copied: audacity/repos/community-x86_64/PKGBUILD (from rev 439550, audacity/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2019-03-10 17:55:54 UTC (rev 439551)
@@ -0,0 +1,53 @@
+# Maintainer: David Runge <dave at sleepmap.de>
+# Contributor: Eric Bélanger <eric at archlinux.org>
+
+pkgname=audacity
+pkgver=2.3.1
+pkgrel=1
+epoch=1
+pkgdesc="A program that lets you manipulate digital audio waveforms"
+arch=('x86_64')
+url="https://audacityteam.org"
+license=('GPL2' 'CCPL')
+groups=('pro-audio')
+# upstream enquired via mail about:
+# vendors/requires older version of portaudio
+# vendors/doesn't detect system version of portmidi
+depends=('libid3tag' 'libmad' 'libsoxr' 'lilv' 'portsmf' 'soundtouch' 'suil'
+'twolame' 'vamp-plugin-sdk' 'wxgtk3')
+makedepends=('cmake' 'ffmpeg')
+optdepends=('ffmpeg: additional import/export capabilities')
+source=("https://github.com/${pkgname}/${pkgname}/archive/Audacity-${pkgver}.tar.gz")
+sha512sums=('066f57bd90d2baea6969f0cbfb63e41a42ed6dac955d87dc7b601c7a270888363e414c57e36393618801ea31b1068b7b22003f52897bf9a44fbc355aaf23cbaa')
+
+prepare() {
+  mv -v "${pkgname}-Audacity-${pkgver}" "${pkgname}-${pkgver}"
+  cd "${pkgname}-${pkgver}"
+  autoreconf -vfi
+}
+
+build() {
+  cd "${pkgname}-${pkgver}"
+  WX_CONFIG=wx-config-gtk3 ./configure --prefix="/usr" \
+    --with-libsndfile="system" \
+    --with-ffmpeg="system" \
+    --with-expat="system" \
+    --with-lame="system" \
+    --with-libsoxr="system" \
+    --with-portaudio \
+    --with-portmidi \
+    --with-libflac \
+    --with-libid3tag \
+    --with-libsamplerate \
+    --with-sbsms \
+    --with-soundtouch \
+    --with-libtwolame \
+    --with-libvorbis \
+    --with-lv2
+  make
+}
+
+package() {
+  cd "${pkgname}-${pkgver}"
+  make DESTDIR="${pkgdir}" install
+}


More information about the arch-commits mailing list